Debian Bug report logs - #709924
ITP: node-active-x-obfuscator -- Safely obfuscate the string 'ActiveX' inside of JavaScript code

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sun, 26 May 2013 19:30:02 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Fixed in version node-active-x-obfuscator/0.0.1-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#709924; Package wnpp. (Sun, 26 May 2013 19:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 26 May 2013 19:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-active-x-obfuscator -- Safely obfuscate the string 'ActiveX' inside of JavaScript code
Date: Sun, 26 May 2013 21:22:25 +0200
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

* Package name    : node-active-x-obfuscator
  Version         : 0.0.1
  Upstream Author : Felix Geisendörfer <felix@debuggable.com>
* URL             : https://github.com/felixge/node-active-x-obfuscator
* License         : Expat
  Programming Lang: Javascript
  Description     : Safely obfuscate the string 'ActiveX' inside of JavaScript code

 This Node.js module (safely) obfuscates all occurrences of the string
 'ActiveX' inside any JavaScript code.
 .
 Some corporate firewalls/proxies such as Blue Coat block JavaScript files
 to be downloaded if they contain the word 'ActiveX'. That of course is very
 annoying for libraries such as socket.io that need to use ActiveXObject for
 supporting IE8 and older.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Tue, 16 Jul 2013 04:06:24 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Tue, 16 Jul 2013 04:06:24 GMT) Full text and rfc822 format available.

Message #12 received at 709924-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 709924-close@bugs.debian.org
Subject: Bug#709924: fixed in node-active-x-obfuscator 0.0.1-1
Date: Tue, 16 Jul 2013 04:02:16 +0000
Source: node-active-x-obfuscator
Source-Version: 0.0.1-1

We believe that the bug you reported is fixed in the latest version of
node-active-x-obfuscator, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated node-active-x-obfuscator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 May 2013 21:59:01 +0200
Source: node-active-x-obfuscator
Binary: node-active-x-obfuscator
Architecture: source all
Version: 0.0.1-1
Distribution: sid
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 node-active-x-obfuscator - Safely obfuscate the string 'ActiveX' inside of JavaScript code
Closes: 709924
Changes: 
 node-active-x-obfuscator (0.0.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #709924).
Checksums-Sha1: 
 523731e788227a6eea3b5883fd9918fa998aebb4 2115 node-active-x-obfuscator_0.0.1-1.dsc
 a9f8d35d2da0af24ec7454c61a4eedb6f61952e9 1942 node-active-x-obfuscator_0.0.1.orig.tar.gz
 9c5e58e7d2573ab4be6083a582fc78a179a080e3 2119 node-active-x-obfuscator_0.0.1-1.debian.tar.gz
 6b5c9116341b511b865ed421257e1a483a10bdc1 4002 node-active-x-obfuscator_0.0.1-1_all.deb
Checksums-Sha256: 
 10423d3336a4ec180ce25a69251f1f771da3d0e88b16d903a50a6fe787425a22 2115 node-active-x-obfuscator_0.0.1-1.dsc
 24ee6929d5b1202893c699de4b7882ff164147e5928c2dd63d9135d9ebfcb60c 1942 node-active-x-obfuscator_0.0.1.orig.tar.gz
 67527bdc3ccfb66b2ab455bf0234edd8a036e6254b289ba62b34462fed1da1b9 2119 node-active-x-obfuscator_0.0.1-1.debian.tar.gz
 eec207b923b2f527f50687d0e675ec3b5eb3d85ff2a2a1adbebef87eddb2d26c 4002 node-active-x-obfuscator_0.0.1-1_all.deb
Files: 
 b6e43f0ed52d6d84e3092022ebaaebb7 2115 web extra node-active-x-obfuscator_0.0.1-1.dsc
 e8b2e775613332a6ffbcc1f7fe0200a6 1942 web extra node-active-x-obfuscator_0.0.1.orig.tar.gz
 25d7f7486fb12a5f88cd45e4fc2b3509 2119 web extra node-active-x-obfuscator_0.0.1-1.debian.tar.gz
 e7ade4c37c2177b87dc9d0651f45c3ee 4002 web extra node-active-x-obfuscator_0.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRomqpAAoJEJr0azAldxsxh4YQAKZknxC0TMTCtwn1q/SNEtlb
W3iTdx6zFKZEA1bX9z9orNeYcjQVBekC2G4aR7TyDoP8W4BYQapWNu9+vT1LdAPK
yrduXHI7/LDa9/Da4QOKrKEnxHCtxQMxBMIQnwtYr7aAT0NLhm9LJMA5WI8kSLLq
FdMS7anE2xPj669NysAtz52QUNfxZP51ptaX4AF+kxWbD/JBsMoYtRXdD4o8htZR
pd1ijmDiCbxDmKol1EuTsAORBMZcB77wGUKuzMJ4u0RL6doiQ+OE2uwHv/Q4eJSo
oUXGXik0om82MMkAiTy5J+UxPozQ13ndoDA7MdgGxt0vs/VVkGElXsSI58q+eBEu
xmCTX6wq6YveFe33aUxok1mKbyOmB0taAFEA7mn11OhA4ik/pLKyN3MLAeu1Qm0T
c8oKEZv+o33hNt8fUjivknwG2vaDvyGFoHPwyyfKligh+awrJe7qFTyOWAjZ9SrY
w8aNZ3o6GhO5K9j/qLcKCmMWpxFbtqEMVWXlZZtUVOggB9zZrJYF5zlmxXi/Rsf9
zC9MoA+QlD9I8Xb0jkZwoN72EjxudSmi0xkLcCsLA9xsLSFoKUA7Rck2SrhzRjuV
F7Uf87i3QrNmq6MtAB3143dum6BjIhvGPO9sDN9JXWuEz3NXJF2tcgYc2egyFzoL
snsP/gnG9w1box8UofzJ
=YtUh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Aug 2013 07:28:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:42:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.